/*===========================================================================*/
/*   (Llib/ucs2.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Llib/ucs2.scm -indent -o objs/obj_u/Llib/ucs2.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl__ucs2zd2ze3char1659z31zz__ucs2z00(obj_t, obj_t);
static obj_t BGl__ucs2zd2cizd3zf31629zf2zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t);
static obj_t BGl__ucs2ze3zf31623z10zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl__ucs2zd2downcase1651zd2zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t);
extern ucs2_t ucs2_toupper(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl__ucs2zd2lowerzd2casezf31647zf3zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t, ucs2_t);
extern bool_t ucs2_letterp(ucs2_t);
BGL_EXPORTED_DECL int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(char);
static obj_t BGl__ucs2zd2alphabeticzf31639z21zz__ucs2z00(obj_t, obj_t);
static obj_t BGl__ucs2zd2cize3zf31633zc2zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t);
static obj_t BGl__integerzd2ze3ucs21653z31zz__ucs2z00(obj_t, obj_t);
static obj_t BGl__ucs2zc3zf31621z30zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl__ucs2ze3zd3zf31627zc3zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t);
static obj_t BGl__ucs2zd2whitespacezf31643z21zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00();
extern bool_t ucs2_whitespacep(ucs2_t);
static obj_t BGl__ucs2zd2numericzf31641z21zz__ucs2z00(obj_t, obj_t);
extern bool_t ucs2_lowerp(ucs2_t);
static obj_t BGl__ucs2zd2ze3integer1655z31zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl__ucs2zc3zd3zf31625ze3zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ucs2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl__ucs2zf3zf3zz__ucs2z00(obj_t, obj_t);
static obj_t BGl__ucs2zd2upcase1649zd2zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t);
static obj_t BGl__ucs2zd2cize3zd3zf31637z11zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl__ucs2zd2cizc3zf31631ze2zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl__ucs2zd2upperzd2casezf31645zf3zz__ucs2z00(obj_t, obj_t);
extern ucs2_t ucs2_tolower(ucs2_t);
static obj_t BGl__ucs2zd3zf31619z20zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
static obj_t BGl__ucs2zd2cizc3zd3zf31635z31zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl__charzd2ze3ucs21657z31zz__ucs2z00(obj_t, obj_t);
extern bool_t ucs2_upperp(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t);
extern bool_t ucs2_definedp(int);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t);
extern bool_t ucs2_digitp(ucs2_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00, BgL_bgl__ucs2za7d2whitespaceza7f31643za721za7za7__ucs2za7001742z00, BGl__ucs2zd2whitespacezf31643z21zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00, BgL_bgl__ucs2za7e3za7d3za7f31627za7c3za7za7__ucs2za7001743za7, BGl__ucs2ze3zd3zf31627zc3zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2downcasezd2envz00zz__ucs2z00, BgL_bgl__ucs2za7d2downcase1651za7d2za7za7__ucs2za7001744za7, BGl__ucs2zd2downcase1651zd2zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7e3za7f31633za7c2za7za7__ucs2za7001745za7, BGl__ucs2zd2cize3zf31633zc2zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00, BgL_bgl__ucs2za7e3za7f31623za710za7za7__ucs2za7001746z00, BGl__ucs2ze3zf31623z10zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00, BgL_bgl__ucs2za7c3za7d3za7f31625za7e3za7za7__ucs2za7001747za7, BGl__ucs2zc3zd3zf31625ze3zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00, BgL_bgl__ucs2za7d2alphabeticza7f31639za721za7za7__ucs2za7001748z00, BGl__ucs2zd2alphabeticzf31639z21zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl__ucs2za7d2upperza7d2caseza7f31645za7f3za7za7__ucs2za7001749za7, BGl__ucs2zd2upperzd2casezf31645zf3zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl__ucs2za7d2lowerza7d2caseza7f31647za7f3za7za7__ucs2za7001750za7, BGl__ucs2zd2lowerzd2casezf31647zf3zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl__integerza7d2za7e3ucs21653za731za7za7__ucs2za7001751z00, BGl__integerzd2ze3ucs21653z31zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7c3za7f31631za7e2za7za7__ucs2za7001752za7, BGl__ucs2zd2cizc3zf31631ze2zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zc3zf3zd2envze2zz__ucs2z00, BgL_bgl__ucs2za7c3za7f31621za730za7za7__ucs2za7001753z00, BGl__ucs2zc3zf31621z30zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00, BgL_bgl__ucs2za7d2numericza7f31641za721za7za7__ucs2za7001754z00, BGl__ucs2zd2numericzf31641z21zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00, BgL_bgl__ucs2za7d2za7e3char1659za731za7za7__ucs2za7001755z00, BGl__ucs2zd2ze3char1659z31zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7c3za7d3za7f31635za731za7za7__ucs2za7001756z00, BGl__ucs2zd2cizc3zd3zf31635z31zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl__charza7d2za7e3ucs21657za731za7za7__ucs2za7001757z00, BGl__charzd2ze3ucs21657z31zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00, BgL_bgl__ucs2za7d2za7e3integer1655za731za7za7__ucs2za7001758z00, BGl__ucs2zd2ze3integer1655z31zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7e3za7d3za7f31637za711za7za7__ucs2za7001759z00, BGl__ucs2zd2cize3zd3zf31637z11zz__ucs2z00, 0L, 2 );
DEFINE_STRING( BGl_string1736z00zz__ucs2z00, BgL_bgl_string1736za700za7za7__ucs2za7001760z00, "UCS-2 character out of ISO-LATIN-1 range", 40 );
DEFINE_STRING( BGl_string1735z00zz__ucs2z00, BgL_bgl_string1735za700za7za7__ucs2za7001761z00, "ucs2->char", 10 );
DEFINE_STRING( BGl_string1734z00zz__ucs2z00, BgL_bgl_string1734za700za7za7__ucs2za7001762z00, "integer out of range or ", 24 );
DEFINE_STRING( BGl_string1733z00zz__ucs2z00, BgL_bgl_string1733za700za7za7__ucs2za7001763z00, "Undefined UCS-2 character", 25 );
DEFINE_STRING( BGl_string1732z00zz__ucs2z00, BgL_bgl_string1732za700za7za7__ucs2za7001764z00, "integer->ucs2", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00, BgL_bgl__ucs2za7d2ciza7d3za7f31629za7f2za7za7__ucs2za7001765za7, BGl__ucs2zd2cizd3zf31629zf2zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2upcasezd2envz00zz__ucs2z00, BgL_bgl__ucs2za7d2upcase1649za7d2za7za7__ucs2za7001766za7, BGl__ucs2zd2upcase1649zd2zz__ucs2z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00, BgL_bgl__ucs2za7d3za7f31619za720za7za7__ucs2za7001767z00, BGl__ucs2zd3zf31619z20zz__ucs2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zf3zd2envz21zz__ucs2z00, BgL_bgl__ucs2za7f3za7f3za7za7__ucs2za7001768za7, BGl__ucs2zf3zf3zz__ucs2z00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long BgL_checksumz00_603, char * BgL_fromz00_604)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ucs2z00))
{ 
BGl_requirezd2initializa7ationz75zz__ucs2z00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__ucs2z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* ucs2? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 143 */
return 
UCS2P(BgL_objz00_1);} 
}



/* _ucs2? */
obj_t BGl__ucs2zf3zf3zz__ucs2z00(obj_t BgL_envz00_516, obj_t BgL_objz00_517)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 143 */
{ /* ./Llib/ucs2.scm 144 */
bool_t BgL_auxz00_610;
BgL_auxz00_610 = 
UCS2P(BgL_objz00_517); 
return 
BBOOL(BgL_auxz00_610);} } 
}



/* ucs2=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t BgL_ucs2az00_2, ucs2_t BgL_ucs2bz00_3)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 149 */
return 
(BgL_ucs2az00_2==BgL_ucs2bz00_3);} 
}



/* _ucs2=?1619 */
obj_t BGl__ucs2zd3zf31619z20zz__ucs2z00(obj_t BgL_envz00_518, obj_t BgL_ucs2az00_519, obj_t BgL_ucs2bz00_520)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 149 */
{ /* ./Llib/ucs2.scm 150 */
bool_t BgL_auxz00_614;
{ /* ./Llib/ucs2.scm 150 */
ucs2_t BgL_auxz00_617;ucs2_t BgL_auxz00_615;
BgL_auxz00_617 = 
CUCS2(BgL_ucs2bz00_520); 
BgL_auxz00_615 = 
CUCS2(BgL_ucs2az00_519); 
BgL_auxz00_614 = 
(BgL_auxz00_615==BgL_auxz00_617); } 
return 
BBOOL(BgL_auxz00_614);} } 
}



/* ucs2<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t BgL_ucs2az00_4, ucs2_t BgL_ucs2bz00_5)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 155 */
return 
(BgL_ucs2az00_4<BgL_ucs2bz00_5);} 
}



/* _ucs2<?1621 */
obj_t BGl__ucs2zc3zf31621z30zz__ucs2z00(obj_t BgL_envz00_521, obj_t BgL_ucs2az00_522, obj_t BgL_ucs2bz00_523)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 155 */
{ /* ./Llib/ucs2.scm 156 */
bool_t BgL_auxz00_622;
{ /* ./Llib/ucs2.scm 156 */
ucs2_t BgL_auxz00_625;ucs2_t BgL_auxz00_623;
BgL_auxz00_625 = 
CUCS2(BgL_ucs2bz00_523); 
BgL_auxz00_623 = 
CUCS2(BgL_ucs2az00_522); 
BgL_auxz00_622 = 
(BgL_auxz00_623<BgL_auxz00_625); } 
return 
BBOOL(BgL_auxz00_622);} } 
}



/* ucs2>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t BgL_ucs2az00_6, ucs2_t BgL_ucs2bz00_7)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 161 */
return 
(BgL_ucs2az00_6>BgL_ucs2bz00_7);} 
}



/* _ucs2>?1623 */
obj_t BGl__ucs2ze3zf31623z10zz__ucs2z00(obj_t BgL_envz00_524, obj_t BgL_ucs2az00_525, obj_t BgL_ucs2bz00_526)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 161 */
{ /* ./Llib/ucs2.scm 162 */
bool_t BgL_auxz00_630;
{ /* ./Llib/ucs2.scm 162 */
ucs2_t BgL_auxz00_633;ucs2_t BgL_auxz00_631;
BgL_auxz00_633 = 
CUCS2(BgL_ucs2bz00_526); 
BgL_auxz00_631 = 
CUCS2(BgL_ucs2az00_525); 
BgL_auxz00_630 = 
(BgL_auxz00_631>BgL_auxz00_633); } 
return 
BBOOL(BgL_auxz00_630);} } 
}



/* ucs2<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t BgL_ucs2az00_8, ucs2_t BgL_ucs2bz00_9)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 167 */
return 
(BgL_ucs2az00_8<=BgL_ucs2bz00_9);} 
}



/* _ucs2<=?1625 */
obj_t BGl__ucs2zc3zd3zf31625ze3zz__ucs2z00(obj_t BgL_envz00_527, obj_t BgL_ucs2az00_528, obj_t BgL_ucs2bz00_529)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 167 */
{ /* ./Llib/ucs2.scm 168 */
bool_t BgL_auxz00_638;
{ /* ./Llib/ucs2.scm 168 */
ucs2_t BgL_auxz00_641;ucs2_t BgL_auxz00_639;
BgL_auxz00_641 = 
CUCS2(BgL_ucs2bz00_529); 
BgL_auxz00_639 = 
CUCS2(BgL_ucs2az00_528); 
BgL_auxz00_638 = 
(BgL_auxz00_639<=BgL_auxz00_641); } 
return 
BBOOL(BgL_auxz00_638);} } 
}



/* ucs2>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t BgL_ucs2az00_10, ucs2_t BgL_ucs2bz00_11)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 173 */
return 
(BgL_ucs2az00_10>BgL_ucs2bz00_11);} 
}



/* _ucs2>=?1627 */
obj_t BGl__ucs2ze3zd3zf31627zc3zz__ucs2z00(obj_t BgL_envz00_530, obj_t BgL_ucs2az00_531, obj_t BgL_ucs2bz00_532)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 173 */
{ /* ./Llib/ucs2.scm 174 */
bool_t BgL_auxz00_646;
{ /* ./Llib/ucs2.scm 174 */
ucs2_t BgL_auxz00_649;ucs2_t BgL_auxz00_647;
BgL_auxz00_649 = 
CUCS2(BgL_ucs2bz00_532); 
BgL_auxz00_647 = 
CUCS2(BgL_ucs2az00_531); 
BgL_auxz00_646 = 
(BgL_auxz00_647>BgL_auxz00_649); } 
return 
BBOOL(BgL_auxz00_646);} } 
}



/* ucs2-ci=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t BgL_ucs2az00_12, ucs2_t BgL_ucs2bz00_13)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 179 */
{ /* ./Llib/ucs2.scm 180 */
ucs2_t BgL_auxz00_655;ucs2_t BgL_auxz00_653;
BgL_auxz00_655 = 
ucs2_toupper(BgL_ucs2bz00_13); 
BgL_auxz00_653 = 
ucs2_toupper(BgL_ucs2az00_12); 
return 
(BgL_auxz00_653==BgL_auxz00_655);} } 
}



/* _ucs2-ci=?1629 */
obj_t BGl__ucs2zd2cizd3zf31629zf2zz__ucs2z00(obj_t BgL_envz00_533, obj_t BgL_ucs2az00_534, obj_t BgL_ucs2bz00_535)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 179 */
{ /* ./Llib/ucs2.scm 180 */
bool_t BgL_auxz00_658;
{ /* ./Llib/ucs2.scm 180 */
ucs2_t BgL_auxz00_663;ucs2_t BgL_auxz00_659;
{ /* ./Llib/ucs2.scm 180 */
ucs2_t BgL_auxz00_664;
BgL_auxz00_664 = 
CUCS2(BgL_ucs2bz00_535); 
BgL_auxz00_663 = 
ucs2_toupper(BgL_auxz00_664); } 
{ /* ./Llib/ucs2.scm 180 */
ucs2_t BgL_auxz00_660;
BgL_auxz00_660 = 
CUCS2(BgL_ucs2az00_534); 
BgL_auxz00_659 = 
ucs2_toupper(BgL_auxz00_660); } 
BgL_auxz00_658 = 
(BgL_auxz00_659==BgL_auxz00_663); } 
return 
BBOOL(BgL_auxz00_658);} } 
}



/* ucs2-ci<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t BgL_ucs2az00_14, ucs2_t BgL_ucs2bz00_15)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 185 */
{ /* ./Llib/ucs2.scm 186 */
ucs2_t BgL_auxz00_671;ucs2_t BgL_auxz00_669;
BgL_auxz00_671 = 
ucs2_toupper(BgL_ucs2bz00_15); 
BgL_auxz00_669 = 
ucs2_toupper(BgL_ucs2az00_14); 
return 
(BgL_auxz00_669<BgL_auxz00_671);} } 
}



/* _ucs2-ci<?1631 */
obj_t BGl__ucs2zd2cizc3zf31631ze2zz__ucs2z00(obj_t BgL_envz00_536, obj_t BgL_ucs2az00_537, obj_t BgL_ucs2bz00_538)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 185 */
{ /* ./Llib/ucs2.scm 186 */
bool_t BgL_auxz00_674;
{ /* ./Llib/ucs2.scm 186 */
ucs2_t BgL_auxz00_679;ucs2_t BgL_auxz00_675;
{ /* ./Llib/ucs2.scm 186 */
ucs2_t BgL_auxz00_680;
BgL_auxz00_680 = 
CUCS2(BgL_ucs2bz00_538); 
BgL_auxz00_679 = 
ucs2_toupper(BgL_auxz00_680); } 
{ /* ./Llib/ucs2.scm 186 */
ucs2_t BgL_auxz00_676;
BgL_auxz00_676 = 
CUCS2(BgL_ucs2az00_537); 
BgL_auxz00_675 = 
ucs2_toupper(BgL_auxz00_676); } 
BgL_auxz00_674 = 
(BgL_auxz00_675<BgL_auxz00_679); } 
return 
BBOOL(BgL_auxz00_674);} } 
}



/* ucs2-ci>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t BgL_ucs2az00_16, ucs2_t BgL_ucs2bz00_17)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 191 */
{ /* ./Llib/ucs2.scm 192 */
ucs2_t BgL_auxz00_687;ucs2_t BgL_auxz00_685;
BgL_auxz00_687 = 
ucs2_toupper(BgL_ucs2bz00_17); 
BgL_auxz00_685 = 
ucs2_toupper(BgL_ucs2az00_16); 
return 
(BgL_auxz00_685>BgL_auxz00_687);} } 
}



/* _ucs2-ci>?1633 */
obj_t BGl__ucs2zd2cize3zf31633zc2zz__ucs2z00(obj_t BgL_envz00_539, obj_t BgL_ucs2az00_540, obj_t BgL_ucs2bz00_541)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 191 */
{ /* ./Llib/ucs2.scm 192 */
bool_t BgL_auxz00_690;
{ /* ./Llib/ucs2.scm 192 */
ucs2_t BgL_auxz00_695;ucs2_t BgL_auxz00_691;
{ /* ./Llib/ucs2.scm 192 */
ucs2_t BgL_auxz00_696;
BgL_auxz00_696 = 
CUCS2(BgL_ucs2bz00_541); 
BgL_auxz00_695 = 
ucs2_toupper(BgL_auxz00_696); } 
{ /* ./Llib/ucs2.scm 192 */
ucs2_t BgL_auxz00_692;
BgL_auxz00_692 = 
CUCS2(BgL_ucs2az00_540); 
BgL_auxz00_691 = 
ucs2_toupper(BgL_auxz00_692); } 
BgL_auxz00_690 = 
(BgL_auxz00_691>BgL_auxz00_695); } 
return 
BBOOL(BgL_auxz00_690);} } 
}



/* ucs2-ci<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t BgL_ucs2az00_18, ucs2_t BgL_ucs2bz00_19)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 197 */
{ /* ./Llib/ucs2.scm 198 */
ucs2_t BgL_auxz00_703;ucs2_t BgL_auxz00_701;
BgL_auxz00_703 = 
ucs2_toupper(BgL_ucs2bz00_19); 
BgL_auxz00_701 = 
ucs2_toupper(BgL_ucs2az00_18); 
return 
(BgL_auxz00_701<=BgL_auxz00_703);} } 
}



/* _ucs2-ci<=?1635 */
obj_t BGl__ucs2zd2cizc3zd3zf31635z31zz__ucs2z00(obj_t BgL_envz00_542, obj_t BgL_ucs2az00_543, obj_t BgL_ucs2bz00_544)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 197 */
{ /* ./Llib/ucs2.scm 198 */
bool_t BgL_auxz00_706;
{ /* ./Llib/ucs2.scm 198 */
ucs2_t BgL_auxz00_711;ucs2_t BgL_auxz00_707;
{ /* ./Llib/ucs2.scm 198 */
ucs2_t BgL_auxz00_712;
BgL_auxz00_712 = 
CUCS2(BgL_ucs2bz00_544); 
BgL_auxz00_711 = 
ucs2_toupper(BgL_auxz00_712); } 
{ /* ./Llib/ucs2.scm 198 */
ucs2_t BgL_auxz00_708;
BgL_auxz00_708 = 
CUCS2(BgL_ucs2az00_543); 
BgL_auxz00_707 = 
ucs2_toupper(BgL_auxz00_708); } 
BgL_auxz00_706 = 
(BgL_auxz00_707<=BgL_auxz00_711); } 
return 
BBOOL(BgL_auxz00_706);} } 
}



/* ucs2-ci>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t BgL_ucs2az00_20, ucs2_t BgL_ucs2bz00_21)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 203 */
{ /* ./Llib/ucs2.scm 204 */
ucs2_t BgL_auxz00_719;ucs2_t BgL_auxz00_717;
BgL_auxz00_719 = 
ucs2_toupper(BgL_ucs2bz00_21); 
BgL_auxz00_717 = 
ucs2_toupper(BgL_ucs2az00_20); 
return 
(BgL_auxz00_717>BgL_auxz00_719);} } 
}



/* _ucs2-ci>=?1637 */
obj_t BGl__ucs2zd2cize3zd3zf31637z11zz__ucs2z00(obj_t BgL_envz00_545, obj_t BgL_ucs2az00_546, obj_t BgL_ucs2bz00_547)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 203 */
{ /* ./Llib/ucs2.scm 204 */
bool_t BgL_auxz00_722;
{ /* ./Llib/ucs2.scm 204 */
ucs2_t BgL_auxz00_727;ucs2_t BgL_auxz00_723;
{ /* ./Llib/ucs2.scm 204 */
ucs2_t BgL_auxz00_728;
BgL_auxz00_728 = 
CUCS2(BgL_ucs2bz00_547); 
BgL_auxz00_727 = 
ucs2_toupper(BgL_auxz00_728); } 
{ /* ./Llib/ucs2.scm 204 */
ucs2_t BgL_auxz00_724;
BgL_auxz00_724 = 
CUCS2(BgL_ucs2az00_546); 
BgL_auxz00_723 = 
ucs2_toupper(BgL_auxz00_724); } 
BgL_auxz00_722 = 
(BgL_auxz00_723>BgL_auxz00_727); } 
return 
BBOOL(BgL_auxz00_722);} } 
}



/* ucs2-alphabetic? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_22)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 209 */
return 
ucs2_letterp(BgL_ucs2z00_22);} 
}



/* _ucs2-alphabetic?1639 */
obj_t BGl__ucs2zd2alphabeticzf31639z21zz__ucs2z00(obj_t BgL_envz00_548, obj_t BgL_ucs2z00_549)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 209 */
{ /* ./Llib/ucs2.scm 210 */
bool_t BgL_auxz00_734;
{ /* ./Llib/ucs2.scm 210 */
ucs2_t BgL_auxz00_735;
BgL_auxz00_735 = 
CUCS2(BgL_ucs2z00_549); 
BgL_auxz00_734 = 
ucs2_letterp(BgL_auxz00_735); } 
return 
BBOOL(BgL_auxz00_734);} } 
}



/* ucs2-numeric? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_23)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 215 */
return 
ucs2_digitp(BgL_ucs2z00_23);} 
}



/* _ucs2-numeric?1641 */
obj_t BGl__ucs2zd2numericzf31641z21zz__ucs2z00(obj_t BgL_envz00_550, obj_t BgL_ucs2z00_551)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 215 */
{ /* ./Llib/ucs2.scm 216 */
bool_t BgL_auxz00_740;
{ /* ./Llib/ucs2.scm 216 */
ucs2_t BgL_auxz00_741;
BgL_auxz00_741 = 
CUCS2(BgL_ucs2z00_551); 
BgL_auxz00_740 = 
ucs2_digitp(BgL_auxz00_741); } 
return 
BBOOL(BgL_auxz00_740);} } 
}



/* ucs2-whitespace? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_24)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 221 */
return 
ucs2_whitespacep(BgL_ucs2z00_24);} 
}



/* _ucs2-whitespace?1643 */
obj_t BGl__ucs2zd2whitespacezf31643z21zz__ucs2z00(obj_t BgL_envz00_552, obj_t BgL_ucs2z00_553)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 221 */
{ /* ./Llib/ucs2.scm 222 */
bool_t BgL_auxz00_746;
{ /* ./Llib/ucs2.scm 222 */
ucs2_t BgL_auxz00_747;
BgL_auxz00_747 = 
CUCS2(BgL_ucs2z00_553); 
BgL_auxz00_746 = 
ucs2_whitespacep(BgL_auxz00_747); } 
return 
BBOOL(BgL_auxz00_746);} } 
}



/* ucs2-upper-case? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t BgL_ucs2z00_25)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 227 */
return 
ucs2_upperp(BgL_ucs2z00_25);} 
}



/* _ucs2-upper-case?1645 */
obj_t BGl__ucs2zd2upperzd2casezf31645zf3zz__ucs2z00(obj_t BgL_envz00_554, obj_t BgL_ucs2z00_555)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 227 */
{ /* ./Llib/ucs2.scm 228 */
bool_t BgL_auxz00_752;
{ /* ./Llib/ucs2.scm 228 */
ucs2_t BgL_auxz00_753;
BgL_auxz00_753 = 
CUCS2(BgL_ucs2z00_555); 
BgL_auxz00_752 = 
ucs2_upperp(BgL_auxz00_753); } 
return 
BBOOL(BgL_auxz00_752);} } 
}



/* ucs2-lower-case? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t BgL_ucs2z00_26)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 233 */
return 
ucs2_lowerp(BgL_ucs2z00_26);} 
}



/* _ucs2-lower-case?1647 */
obj_t BGl__ucs2zd2lowerzd2casezf31647zf3zz__ucs2z00(obj_t BgL_envz00_556, obj_t BgL_ucs2z00_557)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 233 */
{ /* ./Llib/ucs2.scm 234 */
bool_t BgL_auxz00_758;
{ /* ./Llib/ucs2.scm 234 */
ucs2_t BgL_auxz00_759;
BgL_auxz00_759 = 
CUCS2(BgL_ucs2z00_557); 
BgL_auxz00_758 = 
ucs2_lowerp(BgL_auxz00_759); } 
return 
BBOOL(BgL_auxz00_758);} } 
}



/* ucs2-upcase */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_27)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 239 */
return 
ucs2_toupper(BgL_ucs2z00_27);} 
}



/* _ucs2-upcase1649 */
obj_t BGl__ucs2zd2upcase1649zd2zz__ucs2z00(obj_t BgL_envz00_558, obj_t BgL_ucs2z00_559)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 239 */
{ /* ./Llib/ucs2.scm 240 */
ucs2_t BgL_auxz00_764;
{ /* ./Llib/ucs2.scm 240 */
ucs2_t BgL_auxz00_765;
BgL_auxz00_765 = 
CUCS2(BgL_ucs2z00_559); 
BgL_auxz00_764 = 
ucs2_toupper(BgL_auxz00_765); } 
return 
BUCS2(BgL_auxz00_764);} } 
}



/* ucs2-downcase */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_28)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 245 */
return 
ucs2_tolower(BgL_ucs2z00_28);} 
}



/* _ucs2-downcase1651 */
obj_t BGl__ucs2zd2downcase1651zd2zz__ucs2z00(obj_t BgL_envz00_560, obj_t BgL_ucs2z00_561)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 245 */
{ /* ./Llib/ucs2.scm 246 */
ucs2_t BgL_auxz00_770;
{ /* ./Llib/ucs2.scm 246 */
ucs2_t BgL_auxz00_771;
BgL_auxz00_771 = 
CUCS2(BgL_ucs2z00_561); 
BgL_auxz00_770 = 
ucs2_tolower(BgL_auxz00_771); } 
return 
BUCS2(BgL_auxz00_770);} } 
}



/* integer->ucs2 */
BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int BgL_intz00_29)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 251 */
{ /* ./Llib/ucs2.scm 252 */
bool_t BgL_test1046z00_321;
{ /* ./Llib/ucs2.scm 252 */
bool_t BgL_testz00_775;
{ /* ./Llib/ucs2.scm 252 */
long BgL_auxz00_776;
BgL_auxz00_776 = 
(long)(BgL_intz00_29); 
BgL_testz00_775 = 
(BgL_auxz00_776>((long)0)); } 
if(BgL_testz00_775)
{ /* ./Llib/ucs2.scm 253 */
long BgL_auxz00_779;
BgL_auxz00_779 = 
(long)(BgL_intz00_29); 
BgL_test1046z00_321 = 
(BgL_auxz00_779<((long)65536)); }  else 
{ /* ./Llib/ucs2.scm 252 */
BgL_test1046z00_321 = ((bool_t)0); } } 
if(BgL_test1046z00_321)
{ /* ./Llib/ucs2.scm 252 */
if(
ucs2_definedp(BgL_intz00_29))
{ /* ./Llib/ucs2.scm 254 */
return 
INT_TO_UCS2(BgL_intz00_29);}  else 
{ /* ./Llib/ucs2.scm 256 */
obj_t BgL_objectz00_496;
BgL_objectz00_496 = 
BINT(BgL_intz00_29); 
FAILURE(BGl_string1732z00zz__ucs2z00,BGl_string1733z00zz__ucs2z00,BgL_objectz00_496);} }  else 
{ /* ./Llib/ucs2.scm 257 */
obj_t BgL_objectz00_499;
BgL_objectz00_499 = 
BINT(BgL_intz00_29); 
FAILURE(BGl_string1732z00zz__ucs2z00,BGl_string1734z00zz__ucs2z00,BgL_objectz00_499);} } } 
}



/* _integer->ucs21653 */
obj_t BGl__integerzd2ze3ucs21653z31zz__ucs2z00(obj_t BgL_envz00_562, obj_t BgL_intz00_563)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 251 */
{ /* ./Llib/ucs2.scm 252 */
ucs2_t BgL_auxz00_790;
BgL_auxz00_790 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(
CINT(BgL_intz00_563)); 
return 
BUCS2(BgL_auxz00_790);} } 
}



/* ucs2->integer */
BGL_EXPORTED_DEF int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t BgL_ucs2z00_30)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 262 */
{ /* ./Llib/ucs2.scm 263 */
obj_t BgL_auxz00_794;
BgL_auxz00_794 = 
BUCS2(BgL_ucs2z00_30); 
return 
CUCS2(BgL_auxz00_794);} } 
}



/* _ucs2->integer1655 */
obj_t BGl__ucs2zd2ze3integer1655z31zz__ucs2z00(obj_t BgL_envz00_564, obj_t BgL_ucs2z00_565)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 262 */
{ /* ./Llib/ucs2.scm 263 */
int BgL_auxz00_797;
{ /* ./Llib/ucs2.scm 263 */
ucs2_t BgL_ucs2z00_598;
BgL_ucs2z00_598 = 
CUCS2(BgL_ucs2z00_565); 
{ /* ./Llib/ucs2.scm 263 */
obj_t BgL_auxz00_799;
BgL_auxz00_799 = 
BUCS2(BgL_ucs2z00_598); 
BgL_auxz00_797 = 
CUCS2(BgL_auxz00_799); } } 
return 
BINT(BgL_auxz00_797);} } 
}



/* char->ucs2 */
BGL_EXPORTED_DEF ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(char BgL_charz00_31)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 268 */
{ /* ./Llib/ucs2.scm 269 */
long BgL_arg1058z00_599;
{ /* ./Llib/ucs2.scm 269 */
unsigned char BgL_auxz00_803;
BgL_auxz00_803 = 
(unsigned char)(BgL_charz00_31); 
BgL_arg1058z00_599 = 
(BgL_auxz00_803); } 
return 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(
(int)(BgL_arg1058z00_599));} } 
}



/* _char->ucs21657 */
obj_t BGl__charzd2ze3ucs21657z31zz__ucs2z00(obj_t BgL_envz00_566, obj_t BgL_charz00_567)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 268 */
{ /* ./Llib/ucs2.scm 269 */
ucs2_t BgL_auxz00_808;
{ /* ./Llib/ucs2.scm 269 */
ucs2_t BgL_res1737z00_602;
{ /* ./Llib/ucs2.scm 269 */
char BgL_charz00_600;
BgL_charz00_600 = 
CCHAR(BgL_charz00_567); 
{ /* ./Llib/ucs2.scm 269 */
long BgL_arg1058z00_601;
{ /* ./Llib/ucs2.scm 269 */
unsigned char BgL_auxz00_810;
BgL_auxz00_810 = 
(unsigned char)(BgL_charz00_600); 
BgL_arg1058z00_601 = 
(BgL_auxz00_810); } 
BgL_res1737z00_602 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(
(int)(BgL_arg1058z00_601)); } } 
BgL_auxz00_808 = BgL_res1737z00_602; } 
return 
BUCS2(BgL_auxz00_808);} } 
}



/* ucs2->char */
BGL_EXPORTED_DEF char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t BgL_ucs2z00_32)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 274 */
{ /* ./Llib/ucs2.scm 275 */
int BgL_intz00_502;
{ /* ./Llib/ucs2.scm 275 */
obj_t BgL_auxz00_816;
BgL_auxz00_816 = 
BUCS2(BgL_ucs2z00_32); 
BgL_intz00_502 = 
CUCS2(BgL_auxz00_816); } 
{ /* ./Llib/ucs2.scm 275 */
bool_t BgL_testz00_819;
{ /* ./Llib/ucs2.scm 275 */
long BgL_auxz00_820;
BgL_auxz00_820 = 
(long)(BgL_intz00_502); 
BgL_testz00_819 = 
(BgL_auxz00_820<((long)256)); } 
if(BgL_testz00_819)
{ /* ./Llib/ucs2.scm 275 */
unsigned char BgL_auxz00_823;
{ /* ./Llib/ucs2.scm 275 */
long BgL_auxz00_824;
BgL_auxz00_824 = 
(long)(BgL_intz00_502); 
BgL_auxz00_823 = 
(BgL_auxz00_824); } 
return 
(char)(BgL_auxz00_823);}  else 
{ /* ./Llib/ucs2.scm 275 */
obj_t BgL_objectz00_510;
BgL_objectz00_510 = 
BUCS2(BgL_ucs2z00_32); 
FAILURE(BGl_string1735z00zz__ucs2z00,BGl_string1736z00zz__ucs2z00,BgL_objectz00_510);} } } } 
}



/* _ucs2->char1659 */
obj_t BGl__ucs2zd2ze3char1659z31zz__ucs2z00(obj_t BgL_envz00_568, obj_t BgL_ucs2z00_569)
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 274 */
{ /* ./Llib/ucs2.scm 275 */
char BgL_auxz00_830;
BgL_auxz00_830 = 
BGl_ucs2zd2ze3charz31zz__ucs2z00(
CUCS2(BgL_ucs2z00_569)); 
return 
BCHAR(BgL_auxz00_830);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00()
{ AN_OBJECT;
{ /* ./Llib/ucs2.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__ucs2");} 
}

